/*******************************************************************************
* File Name: PowerMonitor_adcClock.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_PowerMonitor_adcClock_H)
#define CY_CLOCK_PowerMonitor_adcClock_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void PowerMonitor_adcClock_StartEx(uint32 alignClkDiv);
#define PowerMonitor_adcClock_Start() \
    PowerMonitor_adcClock_StartEx(PowerMonitor_adcClock__PA_DIV_ID)

#else

void PowerMonitor_adcClock_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void PowerMonitor_adcClock_Stop(void);

void PowerMonitor_adcClock_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 PowerMonitor_adcClock_GetDividerRegister(void);
uint8  PowerMonitor_adcClock_GetFractionalDividerRegister(void);

#define PowerMonitor_adcClock_Enable()                         PowerMonitor_adcClock_Start()
#define PowerMonitor_adcClock_Disable()                        PowerMonitor_adcClock_Stop()
#define PowerMonitor_adcClock_SetDividerRegister(clkDivider, reset)  \
    PowerMonitor_adcClock_SetFractionalDividerRegister((clkDivider), 0u)
#define PowerMonitor_adcClock_SetDivider(clkDivider)           PowerMonitor_adcClock_SetDividerRegister((clkDivider), 1u)
#define PowerMonitor_adcClock_SetDividerValue(clkDivider)      PowerMonitor_adcClock_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define PowerMonitor_adcClock_DIV_ID     PowerMonitor_adcClock__DIV_ID

#define PowerMonitor_adcClock_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define PowerMonitor_adcClock_CTRL_REG   (*(reg32 *)PowerMonitor_adcClock__CTRL_REGISTER)
#define PowerMonitor_adcClock_DIV_REG    (*(reg32 *)PowerMonitor_adcClock__DIV_REGISTER)

#define PowerMonitor_adcClock_CMD_DIV_SHIFT          (0u)
#define PowerMonitor_adcClock_CMD_PA_DIV_SHIFT       (8u)
#define PowerMonitor_adcClock_CMD_DISABLE_SHIFT      (30u)
#define PowerMonitor_adcClock_CMD_ENABLE_SHIFT       (31u)

#define PowerMonitor_adcClock_CMD_DISABLE_MASK       ((uint32)((uint32)1u << PowerMonitor_adcClock_CMD_DISABLE_SHIFT))
#define PowerMonitor_adcClock_CMD_ENABLE_MASK        ((uint32)((uint32)1u << PowerMonitor_adcClock_CMD_ENABLE_SHIFT))

#define PowerMonitor_adcClock_DIV_FRAC_MASK  (0x000000F8u)
#define PowerMonitor_adcClock_DIV_FRAC_SHIFT (3u)
#define PowerMonitor_adcClock_DIV_INT_MASK   (0xFFFFFF00u)
#define PowerMonitor_adcClock_DIV_INT_SHIFT  (8u)

#else 

#define PowerMonitor_adcClock_DIV_REG        (*(reg32 *)PowerMonitor_adcClock__REGISTER)
#define PowerMonitor_adcClock_ENABLE_REG     PowerMonitor_adcClock_DIV_REG
#define PowerMonitor_adcClock_DIV_FRAC_MASK  PowerMonitor_adcClock__FRAC_MASK
#define PowerMonitor_adcClock_DIV_FRAC_SHIFT (16u)
#define PowerMonitor_adcClock_DIV_INT_MASK   PowerMonitor_adcClock__DIVIDER_MASK
#define PowerMonitor_adcClock_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_PowerMonitor_adcClock_H) */

/* [] END OF FILE */
