/*******************************************************************************
* File Name: PowerMonitor_uv_isr.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_PowerMonitor_uv_isr_H)
#define CY_ISR_PowerMonitor_uv_isr_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void PowerMonitor_uv_isr_Start(void);
void PowerMonitor_uv_isr_StartEx(cyisraddress address);
void PowerMonitor_uv_isr_Stop(void);

CY_ISR_PROTO(PowerMonitor_uv_isr_Interrupt);

void PowerMonitor_uv_isr_SetVector(cyisraddress address);
cyisraddress PowerMonitor_uv_isr_GetVector(void);

void PowerMonitor_uv_isr_SetPriority(uint8 priority);
uint8 PowerMonitor_uv_isr_GetPriority(void);

void PowerMonitor_uv_isr_Enable(void);
uint8 PowerMonitor_uv_isr_GetState(void);
void PowerMonitor_uv_isr_Disable(void);

void PowerMonitor_uv_isr_SetPending(void);
void PowerMonitor_uv_isr_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the PowerMonitor_uv_isr ISR. */
#define PowerMonitor_uv_isr_INTC_VECTOR            ((reg32 *) PowerMonitor_uv_isr__INTC_VECT)

/* Address of the PowerMonitor_uv_isr ISR priority. */
#define PowerMonitor_uv_isr_INTC_PRIOR             ((reg32 *) PowerMonitor_uv_isr__INTC_PRIOR_REG)

/* Priority of the PowerMonitor_uv_isr interrupt. */
#define PowerMonitor_uv_isr_INTC_PRIOR_NUMBER      PowerMonitor_uv_isr__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable PowerMonitor_uv_isr interrupt. */
#define PowerMonitor_uv_isr_INTC_SET_EN            ((reg32 *) PowerMonitor_uv_isr__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the PowerMonitor_uv_isr interrupt. */
#define PowerMonitor_uv_isr_INTC_CLR_EN            ((reg32 *) PowerMonitor_uv_isr__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the PowerMonitor_uv_isr interrupt state to pending. */
#define PowerMonitor_uv_isr_INTC_SET_PD            ((reg32 *) PowerMonitor_uv_isr__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the PowerMonitor_uv_isr interrupt. */
#define PowerMonitor_uv_isr_INTC_CLR_PD            ((reg32 *) PowerMonitor_uv_isr__INTC_CLR_PD_REG)



#endif /* CY_ISR_PowerMonitor_uv_isr_H */


/* [] END OF FILE */
